﻿using Newtonsoft.Json;

namespace MinecraftDiscordBot.Models;

public class PlayerPosition {
    [JsonProperty("dimension", Required = Required.Always)] public string Dimension { get; set; } = default!;
    [JsonProperty("eyeHeight", Required = Required.Always)] public double EyeHeight { get; set; }
    [JsonProperty("pitch", Required = Required.Always)] public double Pitch { get; set; }
    [JsonProperty("yaw", Required = Required.Always)] public double Yaw { get; set; }
    [JsonProperty("x", Required = Required.Always)] public int X { get; set; }
    [JsonProperty("y", Required = Required.Always)] public int Y { get; set; }
    [JsonProperty("z", Required = Required.Always)] public int Z { get; set; }
}